Subject: [DMVR] Fwd: SCCA Memphis in May Grand Prix

From: Sam & Greg Scharnberg <[email-masked]>
Date: Fri, 16 May 2003 11:01:13 -0500

I don't know if everyone got this, so I thought I would pass it on.  A chance to race or work.

Greg Scharnberg

From: [email-masked]
Date: Fri, 16 May 2003 10:51:56 EDT
Subject: SCCA Memphis in May Grand Prix

This is just a reminder that the Mid South Region is holding its Regional/National race   on Memorial Day weekend, May 24th and 25th. There is a test day scheduled for Friday May 23rd.

If you can attend it would be greatly appreciated.

There will be plenty of Bar-b-que and beer after racing on Saturday.

As usual we need workers and volunteers.

If you have any questions you can call me at 901 219-6386 anytime.

Thanks

Terry Bryant
Race Committee Chairman
Mis South Region